﻿@model eCommerce.Services.Model.DeliverySupplier
@using eCommerce.Services.Model
@{
    ViewBag.Title = "Recepción de Mercadería";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
    
}

<div class="page-header">
    <h1 class="page-title">Recepción de Mercadería</h1>
    <ol class="breadcrumb">
        <li class="active">Crear</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                @using (Html.BeginForm("DeliverySuppliersUpdate", "DeliverySuppliers", FormMethod.Post, new { @class = "validation", @autocomplete = "off", @id = "deliveryForm" }))
                {
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label class="control-label">Fecha de Entrega</label>
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="icon wb-calendar" aria-hidden="true"></i>
                                </span>
                                <input type="text" class="form-control DateInput" name="Date" value="@(TempData["Date"])" />
                            </div>
                        </div>
                        <div class="form-group col-sm-2">
                            <label class="control-label">Número de Remito</label>
                            <input type="text" class="form-control" name="ReferNumber" value="@(TempData["ReferNumber"])" />
                        </div>

                        <div class="form-group col-sm-2">
                            <label class="control-label">#Orden de Compra</label>
                            <input type="text" class="form-control" name="PurchaseId" value="@Model.Purchase.PurchaseId" readonly />
                        </div>
                        <div class="form-group col-sm-5">
                            <label class="control-label">Proveedor</label>
                            <input type="text" class="form-control" value="@Model.Purchase.Supplier.Name" readonly />
                        </div>
                        <div class="form-group col-sm-12">
                            <label class="control-label">Comentario</label>
                            <textarea class="form-control" name="Comment" rows="3" placeholder="(Opcional)" style="resize:none">@(TempData["Comment"])</textarea>
                        </div>
                    </div>
                    <div class="row">
                        @Html.Partial("_DeliverySuppliersUpdateTable", Model.Purchase)
                    </div>
                    <div class="text-right">
                        <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                        <button type="button" class="btn btn-default"
                                onclick="window.location.href = '/DeliverySuppliers/DeliverySuppliersList/@Model.Purchase.PurchaseId'">
                            Cancelar
                        </button>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

@section Scripts {

    <script type="text/javascript" src="~/Scripts/DeliverySuppliers/DeliverySuppliersUpdate.js"></script>

}